Package pyplusplus :: Package code_creators :: Module properties :: Class property_t

# type property_t

source code

                             object --+
                                      |
            code_creator.code_creator_t --+
                                          |
    registration_based.registration_based_t --+
                                              |
                                             property_t

Instance Methods

__init__(self, property_def, wrapper=None) Constructor. | source code

create_function_type_alias_code(self, f, ftype_alias, exported_class_alias=None) | source code

create_accessor_code(self, f, ftype_alias) | source code

has_long_line(self) | source code

is_same_parent(self) | source code

create_class_typedef_on_demand(self, f, prefix=`'````'`) | source code

create_property_code(self) | source code

Inherited from `code_creator.code_creator_t`: `beautify`, `create`, `get_system_headers`

Static Methods
Inherited from `code_creator.code_creator_t`: `indent`, `is_comment`, `unindent`, `unique_headers`

Class Variables
Inherited from `code_creator.code_creator_t`: `LINE_LENGTH`, `PARAM_SEPARATOR`, `PYPLUSPLUS_NS_NAME`

Properties
| property_def
| make_function_identifier
Inherited from `registration_based.registration_based_t`: `associated_decl_creators` Inherited from `code_creator.code_creator_t`: `parent`, `target_configuration`, `top_parent`, `works_on_instance`

Method Details

### __init__(self, property_def, wrapper=None)
(Constructor)

source code

Constructor.

Parameters:
  - `parent` - Parent code creator.
Overrides: code_creator.code_creator_t.__init__
  (inherited documentation)

Property Details

### property_def

### make_function_identifier